if(isObject(Wrench_ItemDirRotate))
{
	Wrench_ItemDirRotate.delete();
}

new GuiRadioCtrl(Wrench_ItemDirRotate)
{
	profile = "GuiRadioProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "78 190";
	extent = "53 22";
	minExtent = "8 2";
	enabled = 1;
	visible = 0;
	clipToParent = 1;
	text = "Rotate";
	groupNum = 3;
	buttonType = "RadioButton";
};

Wrench_Window.add(Wrench_ItemDirRotate);

function clientCmdCanRotateItems()
{
	Wrench_ItemDirRotate.setVisible(1);
}

package Client_ItemRotate
{
	function disconnect(%rejoin)
	{
		Wrench_ItemDirRotate.setVisible(0);

		return parent::disconnect(%rejoin);
	}

	function wrenchDlg::send(%obj)
	{
		parent::send(%obj);

		if(Wrench_ItemDirRotate.isVisible() && Wrench_ItemDirRotate.getValue() && !Wrench_ItemDir2.getValue() && !Wrench_ItemDir3.getValue() && !Wrench_ItemDir4.getValue())
		{
			commandToServer('rotateItemSpawn');
		}
	}

	function clientCmdSetWrenchData(%string)
	{
		if(!restWords(getField(%string, 6)))
		{
			%string = setField(%string, 6, "EDIR 2");

			%rot = true;
		}

		parent::clientCmdSetWrenchData(%string);

		%brickName = restWords(getField(%string, 0));

		%lightData = restWords(getField(%string, 1));

		%emitterData = restWords(getField(%string, 2));
		%emitterDir = restWords(getField(%string, 3));

		%itemData = restWords(getField(%string, 4));
		%itemPos = restWords(getField(%string, 5));
		%itemDir = restWords(getField(%string, 6));
		%itemRespawnTime = restWords(getField(%string, 7));

		%raycasting = restWords(getField(%string, 8));
		%collision = restWords(getField(%string, 9));
		%rendering = restWords(getField(%string, 10));

		if(%rot)
		{
			Wrench_ItemDirRotate.setValue(1);

			Wrench_ItemDir2.setValue(0);
			Wrench_ItemDir3.setValue(0);
			Wrench_ItemDir4.setValue(0);
		}
	}

	function clientCmdSetWrenchBotData(%string)
	{
		if(!restWords(getField(%string, 6)))
		{
			%string = setField(%string, 6, "EDIR 2");

			%rot = true;
		}

		parent::clientCmdSetWrenchBotData(%string);

		%brickName = restWords(getField(%string, 0));

		%lightData = restWords(getField(%string, 1));

		%emitterData = restWords(getField(%string, 2));
		%emitterDir = restWords(getField(%string, 3));

		%itemData = restWords(getField(%string, 4));
		%itemPos = restWords(getField(%string, 5));
		%itemDir = restWords(getField(%string, 6));
		%itemRespawnTime = restWords(getField(%string, 7));

		%raycasting = restWords(getField(%string, 8));
		%collision = restWords(getField(%string, 9));
		%rendering = restWords(getField(%string, 10));

		if(%rot)
		{
			Wrench_ItemDirRotate.setValue(1);

			Wrench_ItemDir2.setValue(0);
			Wrench_ItemDir3.setValue(0);
			Wrench_ItemDir4.setValue(0);
		}
	}
};
activatePackage(Client_ItemRotate);
