function serverCmdRotateItemSpawn(%client)
{
	if(!isObject(%client.player))
	{
		return;
	}

	if(!isObject(%brick = %client.wrenchBrick))
	{
		return;
	}

	if(isObject(%brick.item))
	{
		%brick.item.setName("CopyItem");

		%item = new item(CopiedItem : CopyItem)
		{
			rotate = true;
		};

		%item.setName("");
		%brick.item.setName("");
		%brick.item.delete();
		%brick.item = %item;
	}

	%brick.itemDirection = "Rotate";
}

package Server_ItemRotate
{
	function gameConnection::onClientEnterGame(%client)
	{
		parent::onClientEnterGame(%client);

		commandToClient(%client, 'canRotateItems');
	}

	function ServerLoadSaveFile_Start(%file, %b, %c)
	{
		parent::ServerLoadSaveFile_Start(%file, %b, %c);

		$IsSaveLoading = true;
	}

	function ServerLoadSaveFile_End(%file, %b, %c)
	{
		parent::ServerLoadSaveFile_End(%file, %b, %c);

		$IsSaveLoading = false;
	}

	function fxDTSBrick::setItemDirection(%brick, %dir)
	{
		parent::setItemDirection(%brick, %dir);

		if(%dir $= "Rotate" && $IsSaveLoading && isObject(%brick.item))
		{
			%brick.item.setName("CopyItem");

			%item = new item(CopiedItem : CopyItem)
			{
				rotate = true;
			};

			%item.setName("");
			%brick.item.setName("");
			%brick.item.delete();
			%brick.item = %item;

			%brick.itemDirection = "Rotate";
		}
	}
};
activatePackage(Server_ItemRotate);
